org.apache.tools.ant.taskdefs.optional.script

## Class ScriptDef.Attribute

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.script.ScriptDef.Attribute

Enclosing class:
  ScriptDef

    public static class ScriptDef.Attribute
    extends java.lang.Object

Class representing an attribute definition

### Constructor Summary

Constructors
Constructor and Description
`ScriptDef.Attribute()`

### Method Summary

Methods
`void` `setName(java.lang.String name)` Set the attribute name

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptDef.Attribute

    public ScriptDef.Attribute()

### Method Detail

#### setName

    public void setName(java.lang.String name)

Set the attribute name

Parameters:
  `name` - the attribute name